#
# melléknevekből -ság/-ség főnévképzős alakok előállítása
#
BEGIN { 
    while ((getline var < "melleknev_mely.1") > 0) { mely[var]=1; }
}
/ss$/ || /rs$/ || /lcs$/ { next }
/[aáoóuú][bcdfghjklmnpqrstvwxyz]*$/ || 
/^[bcdfghjklmnpqrstvwxyz]*í[bcdfghjklmnpqrstvwxyz]*$/ ||
/^.*[uúoóaá][bcdfghjklmnpqrstvwxyz]*i[bcdfghjklmnpqrstvwxyz]*$/ && ! /^$/ { 
    print "[adj]" $1 "/°"; next; }
! /^[ 	]*$/ { if (mely[$1]==1) { print "[adj]" $1 "/°" }
    else { print "[adj]" $1 "/±"; } 
}
